<?php
/*
* Preloader Template
* @since 2023
* @version 1.0
*/
$preloader_text   = str_split( sassly_option( 'preloader_text', 'sassly' ) );
$custom_preloader = sassly_option( 'upload_custom_preloader_svg' );
?>
<div id="preloader" class="wcf_prealoder">
    <div id="container" class="container-preloader">
        <div class="animation-preloader">
			<?php if ( sassly_option( 'enable_preloader_spinner', 1 ) ) { ?>
                <div class="spinner"></div>
			<?php } ?>
			<?php if ( isset( $custom_preloader['url'] ) && $custom_preloader['url'] != '' ) { ?>
                <img src="<?php echo esc_url( $custom_preloader['url'] ); ?>"/>
			<?php } ?>
			<?php if ( is_array( $preloader_text ) && count( $preloader_text ) ) { ?>
                <div class="txt-loading">
					<?php foreach ( $preloader_text as $char ) {
						$char = sassly_option( 'preloader_uppercase_text', 1 ) ? strtoupper( $char ) : $char;
						?>
                        <span data-text="<?php echo esc_attr( $char ); ?>"
                              class="characters"><?php echo esc_html( $char ); ?></span>
					<?php } ?>
                </div>
			<?php } ?>
        </div>
        <div class="loader-section section-left"></div>
        <div class="loader-section section-right"></div>
    </div>
</div>
